## gnome-initial-setup 48.0

=== debian/changelog ===
gnome-initial-setup (48.0-1ubuntu4) plucky; urgency=medium

  * debian/patches/launchpad-translations-export.patch:
    - include translations from launchpad a patch, it's needed since we
      opted out from langpacks to include all languages (lp: #2104148)

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 02 Apr 2025 11:32:48 +0200

gnome-initial-setup (48.0-1ubuntu3) plucky; urgency=medium

  [ Sebastien Bacher ]
  * debian/patches/0001-Add-Ubuntu-mode-with-special-pages.patch:
    - update the mascot asset for plucky

  [ Alessandro Astone ]
  * Provide distributor-logo icon (LP: #2103423)

  [ Jeremy Bícha ]
  * Update Ubuntu report page for deprecation of /etc/timezone

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 26 Mar 2025 18:47:03 -0400

gnome-initial-setup (48.0-1ubuntu2) plucky; urgency=medium

  [ Matthew Hagemann ]
  * debian/patches/Dynamic-lang-pack-installation-support.patch
    - Fixed a bug where the GIS user's account was having its locale updated,
      not the newly created users (LP: #2103385)

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Wed, 19 Mar 2025 16:13:21 +0100

gnome-initial-setup (48.0-1ubuntu1) plucky; urgency=medium

  * Merge with Debian. Remaining changes:
    - d/control: Add Build-Depends:
      + libsnapd-glib-dev
      + libsysmetrics-dev
      + libpoppler-glib-dev
    - d/patches: Ubuntu-specific patches:
      + reenable-existing-user-mode.patch
      + 0001-Make-summary-page-explicitly-request-navigation-butt.patch
      + 0001-Ensure-stamp-file-if-the-user-quit-the-wizard.patch
      + 0001-Add-Ubuntu-mode-with-special-pages.patch
      + 0001-Display-the-ubuntu-welcome-wizard-in-Unity.patch
      + 0002-no-deprecation-warnings.patch
      + 0008-Ubuntu-location-default.patch
      + ubuntu-distributor-logo.patch
      + Update-style-to-the-same-than-flutter-installer.patch
      + Allow-setting-hostname-to-local-account-page.patch
      + Do-not-skip-g-i-s-first-login-mode-after-user-creation.patch
      + Skip-privacy-page-in-user-creation-setup.patch
      + Add-wrapper-for-convd-flutter-ui.patch
      + Adding-EULA-page-for-OEMs.patch
      + Dynamic-lang-pack-installation-support.patch
    - Temporarily ignore build test failures, the new test isn't compatible
      with Ubuntu patches yet
    - debian/vendor.conf: do not hide language page
  * Refresh patches

 -- Alessandro Astone <alessandro.astone@canonical.com>  Fri, 14 Mar 2025 15:58:57 +0100

gnome-initial-setup (48.0-1) unstable; urgency=medium

  * Team upload
  * New upstream release

 -- Alessandro Astone <alessandro.astone@canonical.com>  Fri, 14 Mar 2025 15:26:54 +0100

gnome-initial-setup (48~rc-1ubuntu1) plucky; urgency=medium

  [ Marco Trevisan (Treviño) ]
  * Merge with debian
  * debian/salsa-ci: Use ubuntu recipe

  [ Matthew Hagemann ]
  * debian/patches/Dynamic-lang-pack-installation-support.patch
    - Removed dynamic lang pack installation from language chooser, moving it
      instead to the summary page right at the end of the flow (LP: #2101826)
    - Download is skipped if no active network connection is detected.
    - Explicitly set max file descriptors before launching GIS (LP: #2101825)

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Fri, 14 Mar 2025 03:29:39 +0100

gnome-initial-setup (48~beta-0ubuntu2) plucky; urgency=medium

  [ Matthew Hagemann ]
  * debian/patches/Dynamic-lang-pack-installation-support.patch
    - Adding a polkit rule to allow the gnome initial setup user to run pkexec
      if the program it is running is apt-get.
    - Adding a function apt_get_install that takes in a list of packages and
      attempts to install them.
    - Added parse_language_list function to parse the static list of languages
      in /usr/share/language-selector/data/languagelist which is now used to
      populate the language chooser.
    - Added the ability to g-i-s to determine what outstanding language packs
      need to be installed via check-language-support -l and to use that output
      to install outstanding lang packs via an async GTask.
    - Added a spinner to the language chooser for when a language has been
      selected and packs are being installed.
    - Added a Cancel button to be able to cancel the request.
  * debian/control: Add language-selector-common to Reccommends

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Thu, 20 Feb 2025 06:40:19 +0100

gnome-initial-setup (48~beta-0ubuntu1) plucky; urgency=medium

  * New upstream release
  * Bump minimum gtk4
  * Remove launchpad translations export patch for now

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 10 Feb 2025 14:49:06 -0500

=== debian/control ===
Source: gnome-initial-setup
Section: gnome
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Jeremy Bícha <jbicha@ubuntu.com>,
           Laurent Bigonville <bigon@debian.org>,
           Marco Trevisan (Treviño) <marco@ubuntu.com>,
           Sebastien Bacher <seb128@debian.org>
Build-Depends: debhelper-compat (= 13),
               dconf-cli,
               gsettings-desktop-schemas-dev (>= 3.37.1),
               itstool,
               libaccountsservice-dev,
               libadwaita-1-dev (>= 1.2~alpha),
               libfontconfig-dev,
               libgdm-dev (>= 3.8.3),
               libgeoclue-2-dev (>= 2.6.0),
               libgeocode-glib-dev,
               libglib2.0-dev (>= 2.63.1),
               libgnome-desktop-4-dev,
               libgoa-1.0-dev (>= 3.45.1),
               libgoa-backend-1.0-dev (>= 3.45.1),
               libgtk-4-dev (>= 4.17.0),
               libgweather-4-dev (>= 4.1),
               libibus-1.0-dev (>= 1.5.2),
               libjson-glib-dev,
               libkrb5-dev,
               libmalcontent-ui-dev (>= 0.7.0) [amd64 arm64 armel armhf i386 mips64el ppc64el riscv64 s390x hppa loong64 powerpc ppc64 x32],
               libnm-dev (>= 1.2),
               libnma-gtk4-dev (>= 1.0),
               libpango1.0-dev (>= 1.32.5),
               libpolkit-gobject-1-dev (>= 0.103),
               libpoppler-glib-dev,
               libpwquality-dev,
               libsecret-1-dev (>= 0.18.8),
               libsnapd-glib-dev,
               libsysmetrics-dev,
               libsystemd-dev [linux-any],
               libwebkitgtk-6.0-dev,
               libxml2-utils,
               meson (>= 0.50.0),
               systemd-dev (>= 242)
Rules-Requires-Root: no
Standards-Version: 4.7.0
XS-Debian-Vcs-Git: https://salsa.debian.org/gnome-team/gnome-initial-setup.git
XS-Debian-Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-initial-setup
Vcs-Git: https://salsa.debian.org/gnome-team/gnome-initial-setup.git -b ubuntu/latest
Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-initial-setup/tree/ubuntu/latest
Homepage: https://git.gnome.org/browse/gnome-initial-setup/

Package: gnome-initial-setup
Architecture: linux-any
Depends: adduser,
         gnome-settings-daemon (>= 3.24),
         pkexec (>= 0.103),
         polkitd (>= 0.103),
         tecla (>= 45~rc),
         ${logo:Depends},
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: accountsservice,
            geoclue-2.0 (>= 2.6.0),
            gnome-keyring,
            language-selector-common,
            ${malcontent:Recommends}
Suggests: gdm3
Description: Initial GNOME system setup helper
 After acquiring or installing a new system there are a few essential things
 to set up before use. GNOME Initial Setup aims to provide a simple, easy,
 and safe way to prepare a new system.
 .
 GNOME Initial Setup runs the first time you log in to the GNOME desktop
 and lets you easily configure your language, keyboard layout, online accounts
 integration, and more.
 .
 If you want to configure these things at any other time, run the Settings app.

## gnome-initial-setup 48.1

=== debian/changelog ===
gnome-initial-setup (48.1-1progress8u1) horok; urgency=medium

  * Initial upload to horok.
  * Updating maintainer field.
  * Updating uploaders field.
  * Updating bugs field.
  * Updating vcs fields.
  * Enabling inclusion of vendor.conf.
  * Skipping goa pages.
  * Skipping privacy pages.
  * Setting distribution name to Linux on summary page.
  * Updating spelling of distro message on summary page.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sun, 22 Jun 2025 23:29:10 +0200

gnome-initial-setup (48.1-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 17 Apr 2025 12:16:42 -0400

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,14 @@
 Source: gnome-initial-setup
 Section: gnome
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+Maintainer: Progress Linux Maintainers <maintainers@lists.progress-linux.org>
+XSBC-Uploaders: Daniel Baumann <daniel.baumann@progress-linux.org>
 XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Jeremy Bícha <jbicha@ubuntu.com>,
+XSBC-Original-Uploaders: Jeremy Bícha <jbicha@ubuntu.com>,
            Laurent Bigonville <bigon@debian.org>,
            Marco Trevisan (Treviño) <marco@ubuntu.com>,
            Sebastien Bacher <seb128@debian.org>
+Bugs: mailto:maintainers@lists.progress-linux.org
 Build-Depends: debhelper-compat (= 13),
                dconf-cli,
                gsettings-desktop-schemas-dev (>= 3.37.1),
@@ -31,11 +33,8 @@
                libnma-gtk4-dev (>= 1.0),
                libpango1.0-dev (>= 1.32.5),
                libpolkit-gobject-1-dev (>= 0.103),
-               libpoppler-glib-dev,
                libpwquality-dev,
                libsecret-1-dev (>= 0.18.8),
-               libsnapd-glib-dev,
-               libsysmetrics-dev,
                libsystemd-dev [linux-any],
                libwebkitgtk-6.0-dev,
                libxml2-utils,
@@ -43,10 +42,10 @@
                systemd-dev (>= 242)
 Rules-Requires-Root: no
 Standards-Version: 4.7.0
-XS-Debian-Vcs-Git: https://salsa.debian.org/gnome-team/gnome-initial-setup.git
-XS-Debian-Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-initial-setup
-Vcs-Git: https://salsa.debian.org/gnome-team/gnome-initial-setup.git -b ubuntu/latest
-Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-initial-setup/tree/ubuntu/latest
+Vcs-Browser: https://git.progress-linux.org/horok/gnome-initial-setup
+Vcs-Git: https://git.progress-linux.org/horok/gnome-initial-setup
+XSBC-Original-Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-initial-setup
+XSBC-Original-Vcs-Git: https://salsa.debian.org/gnome-team/gnome-initial-setup.git
 Homepage: https://git.gnome.org/browse/gnome-initial-setup/
 
 Package: gnome-initial-setup
@@ -62,7 +61,6 @@
 Recommends: accountsservice,
             geoclue-2.0 (>= 2.6.0),
             gnome-keyring,
-            language-selector-common,
             ${malcontent:Recommends}
 Suggests: gdm3
 Description: Initial GNOME system setup helper

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-z,defs

%:
	dh $@

# malcontent it not in Ubuntu main yet & is only built on some arches
ifeq (yes,$(shell dpkg-vendor --derives-from Ubuntu && echo yes))
PARENTAL_CONTROL := -Dparental_controls=disabled
else
ifneq (,$(filter $(DEB_HOST_ARCH), amd64 arm64 armel armhf i386 mips64el ppc64el riscv64 s390x hppa loong64 powerpc ppc64 x32))
PARENTAL_CONTROL := -Dparental_controls=enabled
else
PARENTAL_CONTROL := -Dparental_controls=disabled
endif
endif

override_dh_auto_configure:
	dh_auto_configure -- \
		-Dauto_features=enabled \
		$(PARENTAL_CONTROL)

execute_after_dh_install:
	dh_install debian/vendor.conf /usr/share/gnome-initial-setup/

# Depend on the appropriate package for the Welcome logo
# And don't add malcontent Recommends in Ubuntu
override_dh_gencontrol:
ifeq (yes,$(shell dpkg-vendor --derives-from Ubuntu && echo yes))
	dh_gencontrol -- -Vlogo:Depends='gnome-control-center-data'
else
	dh_gencontrol -- -Vlogo:Depends='desktop-base' \
	-Vmalcontent:Recommends='malcontent [amd64 arm64 armel armhf i386 mips64el ppc64el riscv64 s390x hppa loong64 powerpc ppc64 x32]'
endif

## gnome-initial-setup 49~alpha

=== debian/changelog ===
gnome-initial-setup (49~alpha-0ubuntu1) questing; urgency=medium

  [ Sergio Costas Rodriguez ]
  * a11y: Add accessibility to some Ubuntu pages
  * a11y: Add role to the release notes link

  [ Alessandro Astone ]
  * New upstream release
  * Refresh patches
  * d/p/launchpad-translations-export.patch: Drop patch to upload new strings

 -- Alessandro Astone <alessandro.astone@canonical.com>  Mon, 07 Jul 2025 16:30:18 +0200

## gnome-initial-setup 49~beta.1

=== debian/changelog ===
gnome-initial-setup (49~beta.1-0ubuntu2) questing; urgency=medium

  [ Marco Trevisan (Treviño) ]
  * d/p/ubuntu-pages: Remove ubuntu report support

  [ kkuo ]
  * d/p/ubuntu: Use ubuntu-insights to report hardware and other metrics
    (LP: #2118794)

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Tue, 02 Sep 2025 18:21:13 +0200

gnome-initial-setup (49~beta.1-0ubuntu1) questing; urgency=medium

  * New upstream release
  * d/control: Depend on gnome-session 49.beta
  * d/control: Drop unused dependency on gnome-keyring
  * d/p/a11y-Notify-bad-username.patch: Drop patch applied upstream
  * d/p: Rebase patches

 -- Alessandro Astone <alessandro.astone@canonical.com>  Thu, 07 Aug 2025 11:15:55 +0200

gnome-initial-setup (49~alpha-0ubuntu2) questing; urgency=medium

  * a11y: Notify through the screen reader any error message about
    invalid user names in the About you page (LP: #2116935)

 -- Sergio Costas Rodriguez <sergio.costas@canonical.com>  Tue, 15 Jul 2025 13:29:58 +0200

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,12 @@
 Source: gnome-initial-setup
 Section: gnome
 Priority: optional
-Maintainer: Progress Linux Maintainers <maintainers@lists.progress-linux.org>
-XSBC-Uploaders: Daniel Baumann <daniel.baumann@progress-linux.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-XSBC-Original-Uploaders: Jeremy Bícha <jbicha@ubuntu.com>,
+Uploaders: Jeremy Bícha <jbicha@ubuntu.com>,
            Laurent Bigonville <bigon@debian.org>,
            Marco Trevisan (Treviño) <marco@ubuntu.com>,
            Sebastien Bacher <seb128@debian.org>
-Bugs: mailto:maintainers@lists.progress-linux.org
 Build-Depends: debhelper-compat (= 13),
                dconf-cli,
                gsettings-desktop-schemas-dev (>= 3.37.1),
@@ -26,6 +24,7 @@
                libgtk-4-dev (>= 4.17.0),
                libgweather-4-dev (>= 4.1),
                libibus-1.0-dev (>= 1.5.2),
+               libinsights-dev (>=0.6.0),
                libjson-glib-dev,
                libkrb5-dev,
                libmalcontent-ui-dev (>= 0.7.0) [amd64 arm64 armel armhf i386 mips64el ppc64el riscv64 s390x hppa loong64 powerpc ppc64 x32],
@@ -33,8 +32,10 @@
                libnma-gtk4-dev (>= 1.0),
                libpango1.0-dev (>= 1.32.5),
                libpolkit-gobject-1-dev (>= 0.103),
+               libpoppler-glib-dev,
                libpwquality-dev,
                libsecret-1-dev (>= 0.18.8),
+               libsnapd-glib-dev,
                libsystemd-dev [linux-any],
                libwebkitgtk-6.0-dev,
                libxml2-utils,
@@ -42,15 +43,17 @@
                systemd-dev (>= 242)
 Rules-Requires-Root: no
 Standards-Version: 4.7.0
-Vcs-Browser: https://git.progress-linux.org/horok/gnome-initial-setup
-Vcs-Git: https://git.progress-linux.org/horok/gnome-initial-setup
-XSBC-Original-Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-initial-setup
-XSBC-Original-Vcs-Git: https://salsa.debian.org/gnome-team/gnome-initial-setup.git
+XS-Debian-Vcs-Git: https://salsa.debian.org/gnome-team/gnome-initial-setup.git
+XS-Debian-Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-initial-setup
+Vcs-Git: https://salsa.debian.org/gnome-team/gnome-initial-setup.git -b ubuntu/latest
+Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-initial-setup/tree/ubuntu/latest
 Homepage: https://git.gnome.org/browse/gnome-initial-setup/
 
 Package: gnome-initial-setup
 Architecture: linux-any
 Depends: adduser,
+         gnome-session-bin (>= 49~beta),
+         gnome-session-common (>= 49~beta),
          gnome-settings-daemon (>= 3.24),
          pkexec (>= 0.103),
          polkitd (>= 0.103),
@@ -60,7 +63,7 @@
          ${shlibs:Depends}
 Recommends: accountsservice,
             geoclue-2.0 (>= 2.6.0),
-            gnome-keyring,
+            language-selector-common,
             ${malcontent:Recommends}
 Suggests: gdm3
 Description: Initial GNOME system setup helper

## gnome-initial-setup 49.0

=== meson_options.txt ===
option('vendor-conf-file',
       type: 'string',
       description: 'points to a keyfile containing vendor customization, use this only to override the usual search path'
)

option('ibus',
       description: 'enable support for IBus',
       type: 'feature',
       value: 'auto'
)

option('gdm-rundir',
   type: 'string',
   value: '/run/gdm',
   description: 'GDM\'s runtime directory. The dynamic gnome-initial-setup user\'s home dir is exported here',
)

option('parental_controls',
  type: 'feature',
  value: 'auto',
  description: 'Enable parental controls pages',
)

option('webkitgtk',
  type: 'feature',
  value: 'auto',
  description: 'Enable WebKitGTK dependency, used to display privacy policies',
)

=== debian/changelog ===
gnome-initial-setup (49.0-1ubuntu4) questing; urgency=medium

  * debian/patches/launchpad-translations-export.patch:
    - update translations from launchpad for questing

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 30 Sep 2025 17:16:35 +0200

gnome-initial-setup (49.0-1ubuntu3) questing; urgency=medium

  [ Sebastien Bacher ]
  * debian/README.source:
    - document the ubuntu translations patch and how to update it

  [ Alessandro Astone ]
  * d/maintscript: Remove obsolete autostart desktop files

 -- Alessandro Astone <alessandro.astone@canonical.com>  Fri, 26 Sep 2025 13:59:00 +0200

gnome-initial-setup (49.0-1ubuntu2) questing; urgency=medium

  * debian/patches/launchpad-translations-export.patch:
    - include translations from launchpad a patch, it's needed since we
      opted out from langpacks to include all languages

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 26 Sep 2025 11:35:10 +0200

gnome-initial-setup (49.0-1ubuntu1) questing; urgency=medium

  * Merge with debian for new bugfix release (LP: #2125416).
    Remaining changes:
    - d/control: Add Build-Depends:
      + libsnapd-glib-dev
      + libsysmetrics-dev
      + libpoppler-glib-dev
    - d/control: Drop unused dependency on gnome-keyring
    - d/control: Add language-selector-common to Reccommends
    - d/patches: Ubuntu-specific patches:
      + reenable-existing-user-mode.patch
      + 0001-Make-summary-page-explicitly-request-navigation-butt.patch
      + 0001-Ensure-stamp-file-if-the-user-quit-the-wizard.patch
      + 0001-Add-Ubuntu-mode-with-special-pages.patch
      + 0001-Display-the-ubuntu-welcome-wizard-in-Unity.patch
      + 0002-no-deprecation-warnings.patch
      + 0008-Ubuntu-location-default.patch
      + ubuntu-distributor-logo.patch
      + Update-style-to-the-same-than-flutter-installer.patch
      + Allow-setting-hostname-to-local-account-page.patch
      + Do-not-skip-g-i-s-first-login-mode-after-user-creation.patch
      + Skip-privacy-page-in-user-creation-setup.patch
      + Add-wrapper-for-convd-flutter-ui.patch
      + Adding-EULA-page-for-OEMs.patch
      + Dynamic-lang-pack-installation-support.patch
    - Temporarily ignore build test failures, the new test isn't compatible
      with Ubuntu patches yet
    - debian/vendor.conf: do not hide language page
  * d/p: Refresh patches
  * d/control: Drop versioned depends on gnome-session

 -- Alessandro Astone <alessandro.astone@canonical.com>  Mon, 22 Sep 2025 16:54:00 +0200

gnome-initial-setup (49.0-1) experimental; urgency=medium

  * New upstream release
  * Bump Standards Version to 4.7.2
  * Remove obsolete Rules-Requires-Root: no field

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 20 Sep 2025 12:10:47 -0400

gnome-initial-setup (49~beta.1-0ubuntu4) questing; urgency=medium

  * d/p/Dynamic-lang-pack-installation-support.patch: Fix polkit rules
    (LP: #2122340)

 -- Alessandro Astone <alessandro.astone@canonical.com>  Mon, 15 Sep 2025 17:02:58 +0200

gnome-initial-setup (49~beta.1-0ubuntu3) questing; urgency=medium

  [ Sergio Costas Rodriguez ]
  * Fix SVGs

  [ Matthew Hagemann ]
  * feat: remove locales-all before language pack installation

 -- Alessandro Astone <alessandro.astone@canonical.com>  Mon, 08 Sep 2025 13:57:37 +0200

=== debian/control ===
--- 
+++ 
@@ -41,8 +41,7 @@
                libxml2-utils,
                meson (>= 0.50.0),
                systemd-dev (>= 242)
-Rules-Requires-Root: no
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 XS-Debian-Vcs-Git: https://salsa.debian.org/gnome-team/gnome-initial-setup.git
 XS-Debian-Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-initial-setup
 Vcs-Git: https://salsa.debian.org/gnome-team/gnome-initial-setup.git -b ubuntu/latest
@@ -52,8 +51,6 @@
 Package: gnome-initial-setup
 Architecture: linux-any
 Depends: adduser,
-         gnome-session-bin (>= 49~beta),
-         gnome-session-common (>= 49~beta),
          gnome-settings-daemon (>= 3.24),
          pkexec (>= 0.103),
          polkitd (>= 0.103),

=== debian/rules ===
--- 
+++ 
@@ -22,8 +22,11 @@
 		-Dauto_features=enabled \
 		$(PARENTAL_CONTROL)
 
+# Skip language chooser on Ubuntu since it doesn't work there
+ifeq (yes,$(shell dpkg-vendor --derives-from Ubuntu && echo yes))
 execute_after_dh_install:
 	dh_install debian/vendor.conf /usr/share/gnome-initial-setup/
+endif
 
 # Depend on the appropriate package for the Welcome logo
 # And don't add malcontent Recommends in Ubuntu
@@ -34,3 +37,8 @@
 	dh_gencontrol -- -Vlogo:Depends='desktop-base' \
 	-Vmalcontent:Recommends='malcontent [amd64 arm64 armel armhf i386 mips64el ppc64el riscv64 s390x hppa loong64 powerpc ppc64 x32]'
 endif
+
+# Build tests need to be fixed
+# https://launchpad.net/bugs/2077002
+override_dh_auto_test:
+	dh_auto_test || true

=== debian/watch ===
version=4
opts="searchmode=plain, uversionmangle=s/\.(alpha|beta|rc)/~$1/, downloadurlmangle=s|cache.json||" \
https://download.gnome.org/sources/@PACKAGE@/cache.json \
	[\d.]+/@PACKAGE@-(\d+\.?(?:alpha|beta|rc)?[\d.]*)@ARCHIVE_EXT@

## gnome-initial-setup 50~alpha

=== debian/changelog ===
gnome-initial-setup (50~alpha-0ubuntu1) resolute; urgency=medium

  * Merge with Debian. Remaining changes:
    - d/README.source: document the ubuntu translations patch
    - d/control: Add Build-Depends:
      + libinsights-dev
      + libpoppler-glib-dev
      + libsnapd-glib-dev
    - d/control: Drop unused dependency on gnome-keyring
    - d/control: Add language-selector-common to Reccommends
    - d/maintscript: Remove obsolete autostart desktop files
    - d/patches: Ubuntu-specific patches:
      + reenable-existing-user-mode.patch
      + 0001-Make-summary-page-explicitly-request-navigation-butt.patch
      + 0001-Ensure-stamp-file-if-the-user-quit-the-wizard.patch
      + 0001-Add-Ubuntu-mode-with-special-pages.patch
      + 0001-Display-the-ubuntu-welcome-wizard-in-Unity.patch
      + 0002-no-deprecation-warnings.patch
      + 0008-Ubuntu-location-default.patch
      + ubuntu-distributor-logo.patch
      + Update-style-to-the-same-than-flutter-installer.patch
      + Allow-setting-hostname-to-local-account-page.patch
      + Do-not-skip-g-i-s-first-login-mode-after-user-creation.patch
      + Skip-privacy-page-in-user-creation-setup.patch
      + Add-wrapper-for-convd-flutter-ui.patch
      + Adding-EULA-page-for-OEMs.patch
      + Dynamic-lang-pack-installation-support.patch
    - Temporarily ignore build test failures, the new test isn't compatible
      with Ubuntu patches yet
    - debian/vendor.conf: do not hide language page
  * New upstream release
  * d/p/parental-controls: Drop patch applied upstream
  * d/p/launchpad-translations-export.patch: Drop patch to upload new strings
  * d/p: Rebase all other patches

 -- Alessandro Astone <alessandro.astone@canonical.com>  Mon, 12 Jan 2026 14:55:55 +0100

gnome-initial-setup (49.0-4) unstable; urgency=medium

  * debian/{rules,control}: Enable malcontent in ubuntu.
    Simplify the dependencies code, since ubuntu can now depend on
    malcontent, being it in main repository
  * d/p: Add early support for malcontent-0.14

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Thu, 11 Dec 2025 06:26:35 +0100

gnome-initial-setup (49.0-3) unstable; urgency=medium

  [ Luca Boccassi ]
  * Drop dependency on pkexec
  * Use sysusers.d instead of adduser

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 03 Dec 2025 16:37:20 -0500

gnome-initial-setup (49.0-2) unstable; urgency=medium

  * Add Breaks: gnome-session-bin << 49
  * Release to unstable

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 31 Oct 2025 09:32:29 -0400

=== debian/control ===
--- 
+++ 
@@ -8,6 +8,7 @@
            Marco Trevisan (Treviño) <marco@ubuntu.com>,
            Sebastien Bacher <seb128@debian.org>
 Build-Depends: debhelper-compat (= 13),
+               dh-sequence-installsysusers,
                dconf-cli,
                gsettings-desktop-schemas-dev (>= 3.37.1),
                itstool,
@@ -50,8 +51,7 @@
 
 Package: gnome-initial-setup
 Architecture: linux-any
-Depends: adduser,
-         gnome-settings-daemon (>= 3.24),
+Depends: gnome-settings-daemon (>= 3.24),
          pkexec (>= 0.103),
          polkitd (>= 0.103),
          tecla (>= 45~rc),
@@ -61,8 +61,9 @@
 Recommends: accountsservice,
             geoclue-2.0 (>= 2.6.0),
             language-selector-common,
-            ${malcontent:Recommends}
+            malcontent [amd64 arm64 armel armhf i386 mips64el ppc64el riscv64 s390x hppa loong64 powerpc ppc64 x32],
 Suggests: gdm3
+Breaks: gnome-session-bin (<< 49)
 Description: Initial GNOME system setup helper
  After acquiring or installing a new system there are a few essential things
  to set up before use. GNOME Initial Setup aims to provide a simple, easy,

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-z,defs

%:
	dh $@

# malcontent is only built on some arches
ifneq (,$(filter $(DEB_HOST_ARCH), amd64 arm64 armel armhf i386 mips64el ppc64el riscv64 s390x hppa loong64 powerpc ppc64 x32))
PARENTAL_CONTROL := -Dparental_controls=enabled
else
PARENTAL_CONTROL := -Dparental_controls=disabled
endif

override_dh_auto_configure:
	dh_auto_configure -- \
		-Dauto_features=enabled \
		$(PARENTAL_CONTROL)

# Skip language chooser on Ubuntu since it doesn't work there
ifeq (yes,$(shell dpkg-vendor --derives-from Ubuntu && echo yes))
execute_after_dh_install:
	dh_install debian/vendor.conf /usr/share/gnome-initial-setup/
endif

# Depend on the appropriate package for the Welcome logo
override_dh_gencontrol:
ifeq (yes,$(shell dpkg-vendor --derives-from Ubuntu && echo yes))
	dh_gencontrol -- -Vlogo:Depends='gnome-control-center-data'
else
	dh_gencontrol -- -Vlogo:Depends='desktop-base'
endif

# Build tests need to be fixed
# https://launchpad.net/bugs/2077002
override_dh_auto_test:
	dh_auto_test || true
